Subject: bug#30312: documentation: misleading EFI partitioning instructions

From: Marius Bakke <[email-masked]>
Date: Tue, 26 Jun 2018 17:18:39 +0200

[email-masked] (Ludovic Courtès) writes:

> Hi Marius!
>
> Marius Bakke <[email-masked]> skribis:
>
>>> Ricardo Wurmus <[email-masked]> skribis:
>>>
>>>> Finally, it is not clear where the efi partition should be mounted.
>>>> Should it be /mnt/boot/efi?  If so, should the configuration file
>>>> specify “/mnt/boot/efi” as the target?  Or should it be “/boot/efi”?
>
> [...]
>
>> I've tried to address the latter issue in <https://bugs.gnu.org/31959>.
>>
>> I tested it by installing in a virtual machine with the ESP mounted at
>> "/mnt/boot/efi", using a Guix snapshot that included that commit.  It
>> also works on my installed system with the ESP on /boot/efi.
>
> So with #31959 applied, users can mount to /boot/efi or /mnt/boot/efi,
> and both will work, right?

Yes, both should work at "guix system init" time, even if they only
specify "/boot/efi" in the configuration file.

> I think #31959 can be applied.

Excellent, I'll push it shortly.

>> From 28b1aff2f0a78e7736c214880bbcfce1c0135346 Mon Sep 17 00:00:00 2001
>> From: Marius Bakke <[email-masked]>
>> Date: Tue, 26 Jun 2018 11:59:51 +0200
>> Subject: [PATCH] doc: Use a consistent partitioning scheme.
>>
>> * doc/guix.texi (Preparing for Installation): Consistently refer to the ESP as
>> /dev/sda1; root file system as /dev/sda2; and swap as /dev/sda3.
>
> Go for it!

Staged for inclusion!

>> I'm not sure how to best resolve the first issue.  I suppose we can
>> mention that if unsure which GRUB to use, the user can test whether
>> "/sys/firmware/efi" exists on the live image.
>> 
>> We could also make it clearer when booting whether the installer is in
>> "UEFI" mode or not.
>
> Maybe ‘guix system’ could warn, but I’m not sure how to do that in a
> clean way.

I was thinking a visual hint when booting the live USB, e.g. in the
motd:

(if (file-exists? "/sys/firmware/efi")
     "Welcome to the GuixSD installation image (UEFI mode)!".
     "Welcome to the GuixSD installation image!")

I think Debian does something like this in the boot menu (IIRC).

> Or at the very least we can document it.  Perhaps we need to add a “UEFI
> vs. BIOS” section in the manual.

Yes, documentation needs more tweaks.  As Ricardo mentioned, using EFI
is not really optional once you've booted with it.  Leaving this bug
open still, suggestions welcome!